#
# spec file for package libbs2b
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define soname 0
Name:           libbs2b
Version:        3.1.0
Release:        14.3
Summary:        The Bauer stereophonic-to-binaural DSP library
License:        MIT
Group:          System/Libraries
URL:            http://bs2b.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/bs2b/libbs2b/%{version}/libbs2b-%{version}.tar.bz2
Patch0:         libbs2b-security.patch
Patch1:         libbs2b-clipping.patch
Source99:       baselibs.conf
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sndfile)

%description
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is designed to
improve headphone listening of stereo audio records. Recommended for headphone
prolonged listening to disable superstereo fatigue without essential
distortions.

%package -n libbs2b%{soname}
Summary:        The Bauer stereophonic-to-binaural DSP library
Group:          System/Libraries

%description -n libbs2b%{soname}
The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is designed to
improve headphone listening of stereo audio records. Recommended for headphone
prolonged listening to disable superstereo fatigue without essential
distortions.

%package -n libbs2b-devel
Summary:        Development files for libbs2b
Group:          Development/Libraries/C and C++
Requires:       libbs2b%{soname} = %{version}

%description -n libbs2b-devel
Headers and libraries to program against libbs2b.

%package -n bs2b-tools
Summary:        Tools to use the Bauer stereophonic-to-binaural DSP
Group:          Productivity/Multimedia/Sound/Utilities

%description -n bs2b-tools
Tools (bs2bconvert and bs2bstream) to use the Bauer stereophonic-to-binaural
DSP.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f '%{buildroot}%{_libdir}/libbs2b.la'

%post -n libbs2b%{soname} -p /sbin/ldconfig
%postun -n libbs2b%{soname} -p /sbin/ldconfig

%files -n libbs2b%{soname}
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libbs2b.so.%{soname}*

%files -n libbs2b-devel
%{_libdir}/libbs2b.so
%{_includedir}/bs2b
%{_libdir}/pkgconfig/libbs2b.pc

%files -n bs2b-tools
%{_bindir}/bs2bconvert
%{_bindir}/bs2bstream

%changelog
* Tue Jan 30 2024 Jonas Kvinge <jonaski@opensuse.org>
- Add libbs2b-clipping.patch to remove clipping of overloaded
  samples.
  Patch is taken from: https://github.com/alexmarsev/libbs2b
  For more details see:
  https://github.com/strawberrymusicplayer/strawberry/issues/1320
* Wed Jun 15 2022 Callum Farmer <gmbr3@opensuse.org>
- Remove bad %%defattr - not needed and causes SHLIB non-executable
  rpmlint error
- Use %%autosetup
* Tue Apr 19 2022 Dirk Müller <dmueller@suse.com>
- add libbs2b-security.patch to prevent format-security issues
- spec-cleaner fixes
* Thu Aug 18 2016 zaitor@opensuse.org
- Add baselibs.conf to build 32-bit support. Also add to sources.
* Wed Dec 16 2015 olaf@aepfle.de
- Add BuildRoot: for SLE_11
* Tue Jul 20 2010 reddwarf@opensuse.org
- Initial package
